AplasAplas API Reference

Retrieve a collection

GET
/index/{indexId}/collection/{collectionId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

indexId*string

The id of the containing index

collectionId*string

The id of the collection to retrieve

Query Parameters

fields?string

Comma-separated list of additional fields to return. Use 'fields=*' to return all available fields. See the resource schema for fields you can request.

Response Body

*/*

*/*

curl -X GET "https://api.au.aplas.com/api/v2/index/id/collection/id?fields=shortName%2Cvendor"
{
  "id": "id",
  "name": "Collection A",
  "tagIds": [
    "id_tag"
  ],
  "description": "More information",
  "status": "Standard",
  "customFieldA": "Custom Field Value",
  "customFieldB": [
    "alias1",
    "alias2"
  ],
  "items": [
    {
      "applicationId": "application_id",
      "label": "This item is an application"
    },
    {
      "integrationId": "integration_id",
      "label": "This item is an integration"
    }
  ]
}
{
  "code": 500,
  "message": "Internal server error"
}